
Redmine - Feature #14203

Add support for the 'notes://' protocol handler

2013-06-04 06:51 - Stepan Karandin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

IBM Lotus Notes is a rich client. After installation it registers in operating system additional protocol "notes"

An URI looks like notes://SERVER/442579BB0045C177/0/250334F0B767F79B44257B8000199EEB

As normal every browser handles this URI well. After the click Lotus Notes window is opened, but in Redmine it looks like plain text in

both ways.

notes://SERVER/442579BB0045C177/0/250334F0B767F79B44257B8000199EEB

[[notes://SERVER/442579BB0045C177/0/250334F0B767F79B44257B8000199EEB]]

Related issues:

Related to Redmine - Feature #10889: Add support for the 'tel' URL protocol h... New

History

#1 - 2013-06-04 08:49 - Toshi MARUYAMA

- Category deleted (Issues)

#2 - 2013-06-06 11:43 - Jan Niggemann (redmine.org team member)

- Subject changed from Notes protocol issue to  Add support for the 'notes://' protocol handler

#3 - 2013-06-06 11:43 - Jan Niggemann (redmine.org team member)

- Related to Feature #10889: Add support for the 'tel' URL protocol handler added

#4 - 2013-10-14 11:54 - Jean-Philippe Lang

- Subject changed from  Add support for the 'notes://' protocol handler to Add support for the 'notes://' protocol handler

#5 - 2023-01-18 14:39 - Marco Shima

May this be realized in a generic way so that it's possible to configure supported protocols?

#6 - 2024-10-23 14:32 - Holger Just

- Tracker changed from Defect to Feature

- Category set to Text formatting

- Status changed from New to Closed

- Affected version deleted (2.3.1)

Only http, https and ftp links as well as email addresses are auto-linked.

You can however use other protocols when defining a regular link such as

"a Link":notes://SERVER/442579BB0045C177/0/250334F0B767F79B44257B8000199EEB

 This is then rendered as

a Link
